<!--
  @description: 代理机构-项目管理-未制作中标结果示组件
  @Modifier: 肖文龙
  @Modifier: hfx联调 2020/2/19-09:54
  @routerPath:
  @date: 2020/02/06 10:04
-->
<template>
  <div>
    <el-table
      ref="unPackComp"
      :data="is_show?tableData:tableData[0]?[tableData[0]]:[]"

      @selection-change="selectionChange"
    >
      <el-table-column
        :selectable="isDisabled"
        disabled="true"
        type="selection"
        width="55"
      />
      <el-table-column
        type="index"
        label="序号"
        width="60"
        align="center"
      />
      <el-table-column

        label="标段（包）编号"
        min-width="100px"
        prop="packNo"
      />
      <el-table-column

        header-align="center"
        prop="packName"
        min-width="100px"
        label="标段（包）名称"
      />
    </el-table>
    <div class="more">
      <span v-if="is_show" class="pointer" @click="is_show=false">
        收起更多（0）
        <i class="el-icon-arrow-up" />
      </span>
      <span v-else class="pointer" @click="is_show=true">
        展开更多（{{ tableData.length>0?tableData.length -1:0 }}）
        <i class="el-icon-arrow-down" />
      </span>
    </div>
  </div>
</template>

<script>
/* api*/
import { listUnmarkedResultBulletinPackage } from '@api/bidding/bidCalibration'
/* 公用方法*/
import { cloneObject } from '@assets/js/utils'// 常用方法
export default {
  name: 'UnSuccessfulPublicityPackComp',
  data() {
    return {
      is_show: true, // // 标段展示状态
      searchData: {
        tenderId: this.$route.query.id// 项目Id
      },
      // 标段包列表
      tableData: [
        /* {
          bulletinId: '', // 公告Id
          makeStatus: '', // 是否可以制作 00 不可以制作 01可以制作
          packId: '', // 标段Id
          packName: '', // 标段名称
          packNo: '', // 标段编号
          stageId: ''// 阶段Id
        }*/
      ]
    }
  },
  created() {
    this.initData()// 初始化数据
  },
  methods: {
    // 初始化数据
    initData() {
      listUnmarkedResultBulletinPackage(this.searchData).then(res => {
        this.tableData = res.data
      })
    },
    // 复选框部分禁用
    isDisabled(row, index) {
      if (row.makeStatus === '01') { // 01 可以制作
        return true
      } else {
        return false
      }
    },
    // 选择标段（包）
    selectionChange(val) {
      this.$emit('unPackChange', cloneObject(val))
    }
  }
}
</script>

<style lang="less" scoped>

</style>
